@media screen and (max-width: 767px) {
    .homelayout {
        margin-top: 5rem;
    }

    .livestockTitle {
        font-weight: 600;
        font-size: 1rem;
        color: #06003B;
        width: auto;
        text-align: center;
        line-height: 1.5rem;
        margin-left: 1.25rem;
        margin-top: 1.25rem;
    }
    .reageimgsize{
        width: 15rem;
        height: 8.375rem;
        margin-left: 3rem;
        margin-bottom: 1.25rem;
        
    }
    .maleft40{
        margin-left: 1.25rem;
        margin-top: 1.25rem;
    }


}

@media screen and (min-width: 768px) {
    .mtop80 {
        margin-top: 7.5rem;
        margin-bottom: -5rem;
    }
 .mtop20{
    margin-top: 1.25rem;
 }


    .reageItemTitle {
        font-weight: 500;
        font-size: 1.25rem;
        color: #06003B;
        line-height: 1.875rem;
        text-align: left;
        font-style: normal;
        margin-left: 1.25rem;
    }

    .reageItemTitle1 {
        font-weight: 400;
        font-size: 1rem;
        color: #06003B;
        line-height: 1.5rem;
        text-align: left;
        font-style: normal;
        margin: 0.5rem 1.25rem 0rem 1.25rem;

    }

    .reageItemTitle1s {
        margin-top: 0rem;

    }

    .reageItemTitle1:before {
        content: ' ';
        display: inline-block;
        width: 0.5rem;
        height: 0.5rem;

        background: #003CBE;
        margin-right: 0.5rem;
        margin-bottom: 0.15rem;


    }

    .livestockTitle {
        /* margin-left: 1.25rem; */
        font-weight: 600;
        font-size: 1.5rem;
        color: #06003B;
        line-height: 2.125rem;
        text-align: left;
        font-style: normal;
    }



    .reageimgsize {
        width: 20rem;
        height: 11.25rem;
        margin-top: 5rem;
    }

    .maleft40 {
        margin-right: 5rem;
    }

    .mright {
        margin-right: 5rem;
        margin-top: 5rem;
    }

    .homelayout {
        margin-top: 11.25rem;
        margin-left: 22.5rem;
    }





    .layoutLeft {

        position: fixed;
        top: 5rem;
        width: 17.5rem;
        height: 100%;
        z-index: 2;
        background: #FFFFFF;
        box-shadow: 4px 0px 20px 0px rgba(0, 0, 0, 0.08);


    }

    .menuimg {
        width: 1.5rem;
        height: 1.5rem;
        margin: 1rem 1rem 0px 1.5rem;
    }

    .menuimg1 {
        width: 1.25rem;
        height: 1.25rem;
        margin: 1.25rem 1rem 0px 7.25rem;
    }

    .leftinput {
        width: 14.5rem;
        height: 2rem;
        background: #FFFFFF;
        border-radius: 3.125rem;
        padding-left: 1.25rem;
        margin-top: 2.375rem;
        border: 1px solid #EFF0F4;
        margin-left: 1.5rem;
    }

    .leftinputsearch {
        width: 1.25rem;
        height: 1.25rem;
        position: relative;
        left: -2.25rem;
        top: 2.75rem;
    }

    .menuimg {
        width: 1.5rem;
        height: 1.5rem;
        margin: 1rem 1rem 0px 1.5rem;
    }

    .menuimg1 {
        width: 1.25rem;
        height: 1.25rem;
        margin: 1.25rem 1rem 0px 0.25rem;
    }

    #mymenu {
        display: inline-block;

        text-align: left;
        width: 100%;

        margin-top: 2.5rem;
        overflow-y: scroll;
        height: calc(100vh - 14.875rem);
        scrollbar-width: none;

    }

    #mymenu div {
        overflow: hidden;
        /* border-bottom: 10px solid #fff; */
    }

    .menuspan {
        display: block;
        overflow: hidden;
        text-align: left;
        /* background-color: #d5a6bd; */
        color: #06003B;
        height: 3.75rem;
        font-weight: 500;
        line-height: 3.75rem;
    }



    #mymenu a {
        display: block;
        padding-left: 4rem;
        color: #8D8C99;
        line-height: 3rem;
        font-weight: 400;
        font-size: 1rem;
        width: 100%;
        padding-right: 1rem;
    }

    #mymenu a:hover {
        color: #003CBE;
        background: #E5EBF8;
        font-weight: 500;
        /* border-right: #003CBE solid 4px; */
        /* text-decoration: underline; */
    }

    #mymenu a:hover:after {
        content: "";
        position: absolute;
        width: 0.25rem;
        height: 1.25rem;
        margin-top: 0.875rem;
        left: 17.25rem;
        border-right: #003CBE solid 0.25rem;
        ;
        /* text-decoration: underline; */
    }

    #mymenu div.collapsed {
        height: 3.75rem;
    }
}

@media screen and (min-width: 1440px) {
    .layoutLeft {
        top: 80px;
    }

    .homelayout {
        margin-top: calc(6.25rem + 80px);
        margin-left: 22.5rem;
    }
}
.ellipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }